"NDK could not be parsed" APK compiler 4

Please post anything related to the Hollywood APK Compiler here
Post Reply
plouf
Posts: 215
Joined: Sun Feb 04, 2018 11:51 pm
Location: Athens,Greece

"NDK could not be parsed" APK compiler 4

Post by plouf »

hi

got install apk compiler 4
i Complete uninstall android studio and install studio 2020.3.1
download gradle 6.7.1

i have Check that ONLY SDK 31 is installed -> https://pasteboard.co/4McMFAOKlcLp.png

but gradle fails "requested ndk could not be parsed" -> https://pasteboard.co/ikkTkqmnxFgA.png

i have NDK (latest) -> https://pasteboard.co/uM5d7dN7lmhs.png

which ndk needed?
Christos

User avatar
airsoftsoftwair
Posts: 4764
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: "NDK could not be parsed" APK compiler 4

Post by airsoftsoftwair »

Is APK Compiler configured correctly? Can you post a screenshot of the APK Compiler settings?

plouf
Posts: 215
Joined: Sun Feb 04, 2018 11:51 pm
Location: Athens,Greece

Re: "NDK could not be parsed" APK compiler 4

Post by plouf »

Christos

User avatar
airsoftsoftwair
Posts: 4764
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: "NDK could not be parsed" APK compiler 4

Post by airsoftsoftwair »

Your NDK path looks wrong. It should be something like "C:\Users\plouf\AppData\Android\Sdk\ndk\23.0.7599858" instead of "ndk-bundle". This directory doesn't even exist here...

plouf
Posts: 215
Joined: Sun Feb 04, 2018 11:51 pm
Location: Athens,Greece

Re: "NDK could not be parsed" APK compiler 4

Post by plouf »

ok need to change C:\Users\plouf\AppData\Local\Android\Sdk\ndk\23.0.7599858

now start to do a lot of stuff but fails complaining about 32bit only native libraries ?!

gradle output

Code: Select all

This app only has 32-bit [armeabi-v7a] native libraries. Beginning August 1, 201
9 Google Play store requires that all apps that include native libraries must pr
ovide 64-bit versions. For more information, visit https://g.co/64-bit-requireme
nt

BUILD SUCCESSFUL in 2s
1 actionable task: 1 up-to-date

> Configure project :app
WARNING:: This app only has 32-bit [armeabi-v7a] native libraries. Beginning Aug
ust 1, 2019 Google Play store requires that all apps that include native librari
es must provide 64-bit versions. For more information, visit https://g.co/64-bit
-requirement
This app only has 32-bit [armeabi-v7a] native libraries. Beginning August 1, 201
9 Google Play store requires that all apps that include native libraries must pr
ovide 64-bit versions. For more information, visit https://g.co/64-bit-requireme
nt
WARNING:: This app only has 32-bit [armeabi-v7a] native libraries. Beginning Aug
ust 1, 2019 Google Play store requires that all apps that include native librari
es must provide 64-bit versions. For more information, visit https://g.co/64-bit
-requirement
This app only has 32-bit [armeabi-v7a] native libraries. Beginning August 1, 201
9 Google Play store requires that all apps that include native libraries must pr
ovide 64-bit versions. For more information, visit https://g.co/64-bit-requireme
nt

      ld: error: failed to write to the output file: Permission denied
      clang: error: linker command failed with exit code 1 (use -v to see invoca
tion)
      ninja: build stopped: subcommand failed.




    CMake will not be able to correctly generate this project.
  Call Stack (most recent call first):
    CMakeLists.txt


* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug
option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 5s
23 actionable tasks: 1 executed, 22 up-to-date
Πιέστε ένα πλήκτρο για συνέχεια. . .
Christos

User avatar
airsoftsoftwair
Posts: 4764
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: "NDK could not be parsed" APK compiler 4

Post by airsoftsoftwair »

That 32-bit warning can be ignored. Obviously, the 32-bit (armv7a) APKs will only contain 32-bit libraries so this warning is rather nonsensical.

The reason why building fails is this instead:

Code: Select all

ld: error: failed to write to the output file: Permission denied
Looks like something wrong with your permission settings because apparently ld can't write the file...

Also make sure to clean all your targets after updating APK Compiler or Android Studio.

plouf
Posts: 215
Joined: Sun Feb 04, 2018 11:51 pm
Location: Athens,Greece

Re: "NDK could not be parsed" APK compiler 4

Post by plouf »

has anyone the APK compiler 4 AND windows 7 ?

trying to figure out why, i see some comments on net about win7, so asking if anyone has win7 and successful works in him
Christos

User avatar
airsoftsoftwair
Posts: 4764
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: "NDK could not be parsed" APK compiler 4

Post by airsoftsoftwair »

Sorry, it's not tested on Windows 7. I'm not even sure if the latest Android Studio and the accompanying toolchain is still compatible with 7.

plouf
Posts: 215
Joined: Sun Feb 04, 2018 11:51 pm
Location: Athens,Greece

Re: "NDK could not be parsed" APK compiler 4

Post by plouf »

can i download previous version somewhere ? afaik ftp has version 4 in place of version 3.x
Christos

User avatar
airsoftsoftwair
Posts: 4764
Joined: Fri Feb 12, 2010 2:33 pm
Location: Germany
Contact:

Re: "NDK could not be parsed" APK compiler 4

Post by airsoftsoftwair »

Sure, just drop me a mail.

Post Reply